package com.tiptimes.model;

public class Group {

    /**
     * 组别id
     */
    private int groupId;

    /**
     * 组别标题
     */
    private String groupTitle;

    /**
     * 年份
     */
    private int qnYear;

    /**
     * 组别类型
     */
    private int groupType;

    /**
     * 问题id
     */
    private String questionId;

    /**
     * 问卷id
     */
    private int questionnaireId;


    /**
     * 关联字段（保留字段）
     */
    private int relevance;


    public Group() {
    }

    public Group(int groupId, String groupTitle, int qnYear, int groupType, String questionId, int questionnaireId, int relevance) {
        this.groupId = groupId;
        this.groupTitle = groupTitle;
        this.qnYear = qnYear;
        this.groupType = groupType;
        this.questionId = questionId;
        this.questionnaireId = questionnaireId;
        this.relevance = relevance;
    }

    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public void setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
    }

    public int getQnYear() {
        return qnYear;
    }

    public void setQnYear(int qnYear) {
        this.qnYear = qnYear;
    }

    public int getGroupType() {
        return groupType;
    }

    public void setGroupType(int groupType) {
        this.groupType = groupType;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public int getQuestionnaireId() {
        return questionnaireId;
    }

    public void setQuestionnaireId(int questionnaireId) {
        this.questionnaireId = questionnaireId;
    }

    public int getRelevance() {
        return relevance;
    }

    public void setRelevance(int relevance) {
        this.relevance = relevance;
    }
}
