package com.tiptimes.model.QuestionnaireDTO;

import java.util.List;

/**
 * 表单上报
 */

public class ReportDto {

    /**
     * 表单数据
     */
    private List<AnswerDTO> answer;

    /**
     * 问卷id
     */

    private Long questionnaireUuid;

    /**
     * 问卷名称
     */
    private String questionnaireName;//问卷名称

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 上报人id
     */
    private String createId;

    /**
     * 所属众创空间
     */
    private String createName;//所属众创空间

    /**
     * 联系方式
     */
    private String phoneNumber;//联系方式

    /**
     * 保存类型
     */
    private Integer type; //0暂存 1上报

    /**
     * 填报人
     */
    private String writePeople;//填报人

    /**
     * 上报年份
     */
    private Integer qnYear; //上报年份

    public ReportDto(List<AnswerDTO> answer, Long questionnaireUuid, String questionnaireName, String createBy, String createId, String createName, String phoneNumber, Integer type, String writePeople, Integer qnYear) {
        this.answer = answer;
        this.questionnaireUuid = questionnaireUuid;
        this.questionnaireName = questionnaireName;
        this.createBy = createBy;
        this.createId = createId;
        this.createName = createName;
        this.phoneNumber = phoneNumber;
        this.type = type;
        this.writePeople = writePeople;
        this.qnYear = qnYear;
    }

    public ReportDto() {
    }

    public List<AnswerDTO> getAnswer() {
        return answer;
    }

    public void setAnswer(List<AnswerDTO> answer) {
        this.answer = answer;
    }

    public Long getQuestionnaireUuid() {
        return questionnaireUuid;
    }

    public void setQuestionnaireUuid(Long questionnaireUuid) {
        this.questionnaireUuid = questionnaireUuid;
    }

    public String getQuestionnaireName() {
        return questionnaireName;
    }

    public void setQuestionnaireName(String questionnaireName) {
        this.questionnaireName = questionnaireName;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getWritePeople() {
        return writePeople;
    }

    public void setWritePeople(String writePeople) {
        this.writePeople = writePeople;
    }

    public Integer getQnYear() {
        return qnYear;
    }

    public void setQnYear(Integer qnYear) {
        this.qnYear = qnYear;
    }
}
