package com.tiptimes.model.QuestionnaireDTO;

/**
 * 审批单次提交
 */
public class SaveQuestionByGroup {

    /**
     * 上报人id
     */
    private String createId;

    /**
     * 问卷id
     */
    private Long questionnaireUuid;

    /**
     * 组别id
     */
    private Integer groupId;

    /**
     * 填写状态 0-驳回 1-通过
     */
    private int status;

    /**
     * 分数
     */
    private double score;

    /**
     * 备注（驳回原因）
     */
    private String remark;

    public SaveQuestionByGroup() {
    }

    public SaveQuestionByGroup(String createId, Long questionnaireUuid, Integer groupId, int status, double score, String remark) {
        this.createId = createId;
        this.questionnaireUuid = questionnaireUuid;
        this.groupId = groupId;
        this.status = status;
        this.score = score;
        this.remark = remark;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public Long getQuestionnaireUuid() {
        return questionnaireUuid;
    }

    public void setQuestionnaireUuid(Long questionnaireUuid) {
        this.questionnaireUuid = questionnaireUuid;
    }

    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
