package com.tiptimes.model;

public class FormGroup {

    /**
     * 组别id
     */
    private int groupId;

    /**
     * 组别标题
     */
    private String groupTitle;

    /**
     * 关联年份
     */
    private int qnYear;

    /**
     * 组别类型 0-表单 1-表格
     */
    private int groupType;

    /**
     * 关联问题列表 按照（,）分割
     */
    private String questionId;

    /**
     * 关联表单id
     */
    private int questionnaireId;

    /**
     * 关联组id 用于同一表单项同步值
     */
    private int relevance;

    /**
     * 必填 0-必填  1-选填
     */
    private int maxPoint;
    public FormGroup() {
    }

    public FormGroup(int groupId, String groupTitle, int qnYear, int groupType, String questionId, int questionnaireId, int relevance,int maxPoint) {
        this.groupId = groupId;
        this.groupTitle = groupTitle;
        this.qnYear = qnYear;
        this.groupType = groupType;
        this.questionId = questionId;
        this.questionnaireId = questionnaireId;
        this.relevance = relevance;
        this.maxPoint = maxPoint;

    }


    public int getMaxPoint() {
        return maxPoint;
    }

    public void setMaxPoint(int maxPoint) {
        this.maxPoint = maxPoint;
    }

    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public void setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
    }

    public int getQnYear() {
        return qnYear;
    }

    public void setQnYear(int qnYear) {
        this.qnYear = qnYear;
    }

    public int getGroupType() {
        return groupType;
    }

    public void setGroupType(int groupType) {
        this.groupType = groupType;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public int getQuestionnaireId() {
        return questionnaireId;
    }

    public void setQuestionnaireId(int questionnaireId) {
        this.questionnaireId = questionnaireId;
    }

    public int getRelevance() {
        return relevance;
    }

    public void setRelevance(int relevance) {
        this.relevance = relevance;
    }
}
